---
apiVersion: v1

# The repository name in registry1, excluding /ironbank/
name: "hashicorp/packer/packer"

# List of tags to push for the repository in registry1
# The most specific version should be the first tag and will be shown
# on ironbank.dsop.io
tags:
- "1.8.0"
- "latest"

# Build args passed to Dockerfile ARGs
args:
  BASE_IMAGE: "redhat/ubi/ubi8"
  BASE_TAG: "8.5"

# Docker image labels
labels:
  org.opencontainers.image.title: "packer"
  ## Human-readable description of the software packaged in the image
  org.opencontainers.image.description: "Packer is a tool for building identical machine images for multiple platforms from a single source configuration."
  ## License(s) under which contained software is distributed
  org.opencontainers.image.licenses: "MPL-2.0"
  ## URL to find more information on the image
  org.opencontainers.image.url: "https://github.com/hashicorp/packer/"
  ## Name of the distributing entity, organization or individual
  org.opencontainers.image.vendor: "Hashicorp"
  org.opencontainers.image.version: "1.8.0"
  ## Keywords to help with search (ex. "cicd,gitops,golang")
  mil.dso.ironbank.image.keywords: "opensource"
  ## This value can be "opensource" or "commercial"
  mil.dso.ironbank.image.type: "opensource"
  ## Product the image belongs to for grouping multiple images
  mil.dso.ironbank.product.name: "packer"

# List of resources to make available to the offline build context
resources:
- tag: hashicorp/packer:1.8.0
  url: docker://docker.io/hashicorp/packer@sha256:71a3b755ae494499811bf5b3acc8edff1b43a56ec3a74291724400ead77f7e75

# List of project maintainers
maintainers:
- email: "echi@vivsoft.io"
  name: "Elvis Chi"
  username: "echi"
  cht_member: true
